module nl.netsoj.chris.blog.main;

import std.experimental.logger;
import vibe.d;

import nl.netsoj.chris.blog.interfaces.http;
import nl.netsoj.chris.blog.model.article;
import nl.netsoj.chris.blog.model.page;
import nl.netsoj.chris.blog.model.project;
import nl.netsoj.chris.blog.cache;
import nl.netsoj.chris.blog.watcher;


void main() {
	startHTTPServer();

	// Start indexing pages.
	runTask({
		initPages!Page(&pages, "pages");
	});
	runTask({
		initPages!Article(&articles, "articles");
	});
	runTask({
		initPages!Project(&projects, "projects");
	});
	runApplication();
}
